Ticket lesen
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
Ticket lesen
Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
ticketIdinteger · int32Optional
ticketIdNumstringOptional
ticketPriorityIdinteger · int32Optional
ticketStatusIdinteger · int32Optional
ticketSourceIdinteger · int32Optional
userIdinteger · int32Optional
departmentIdinteger · int32Optional
ticketAssignmentEntityIdinteger · int32Optional
ticketAssignmentEntityValueEntityIdinteger · int32Optional
includeCommentsbooleanOptional
includeAssignmentEntitybooleanOptional
showNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
IdNumstring · nullableOptional
TimeReceivedstring · date-timeOptional
Subjectstring · nullableOptional
Contentstring · nullableOptional
ExternalReferencestring · nullableOptional
UserIdinteger · int32 · nullableOptional
CreatedByOpenWowiConfigurationbooleanOptional
CreatedByThisOpenWowiConfigurationbooleanOptional
CreatedByUserIdinteger · int32 · nullableOptional
CreatedByApiUserbooleanOptional
ShareStatusboolean · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/CommunicationRead/Ticket
GET /openwowi/v1.2/CommunicationRead/Ticket HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"IdNum": "text",
"TimeReceived": "2026-01-01T00:00:00.000Z",
"Subject": "text",
"Content": "text",
"ExternalReference": "text",
"Department": {
"Id": 1,
"Name": "text"
},
"UserId": 1,
"CreatedByOpenWowiConfiguration": true,
"CreatedByThisOpenWowiConfiguration": true,
"CreatedByUserId": 1,
"CreatedByApiUser": true,
"ShareStatus": true,
"Priority": {
"Id": 1,
"Code": "text"
},
"Status": {
"Id": 1,
"Code": "text",
"AssignedStatusFunction": {
"StatusNew": true,
"StatusOpened": true,
"StatusClosed": true
}
},
"Source": {
"Id": 1,
"Code": "text",
"TicketSourceClassification": {
"Id": 1,
"Code": "text"
},
"DefaultTicketPriority": {
"Id": 1,
"Code": "text"
},
"DefaultTicketStatus": {
"Id": 1,
"Code": "text",
"AssignedStatusFunction": {
"StatusNew": true,
"StatusOpened": true,
"StatusClosed": true
}
},
"IsPersonMandatory": true,
"IsSubjectMandatory": true,
"IsContentMandatory": true,
"IncomingSourceOnly": true,
"DefaultTicketStatusDuringProcessing": {
"Id": 1,
"Code": "text",
"AssignedStatusFunction": {
"StatusNew": true,
"StatusOpened": true,
"StatusClosed": true
}
},
"AllowTicketCreationForApiKey": true,
"AvailableTicketStatus": [
{
"Id": 1,
"Code": "text",
"AssignedStatusFunction": {
"StatusNew": true,
"StatusOpened": true,
"StatusClosed": true
}
}
]
},
"Comments": [
{
"Id": 1,
"TicketSource": {
"Id": 1,
"Code": "text"
},
"CreatedAt": "2026-01-01T00:00:00.000Z",
"Content": "text",
"Location": "text",
"Person": {
"Id": 1,
"IdNum": "text",
"Name": "text"
},
"UserName": "text",
"UserId": 1,
"Read": true,
"CommentFromApi": true,
"CreatedByOpenWowiConfiguration": true,
"CreatedByThisOpenWowiConfiguration": true,
"InboundComment": true
}
],
"MainAssignment": {
"Id": 1,
"AssignmentEntity": {
"Id": 1,
"Code": "text"
},
"EntityId": 1
},
"Assignment": [
{
"Id": 1,
"AssignmentEntity": {
"Id": 1,
"Code": "text"
},
"EntityId": 1
}
]
}
]Zuletzt aktualisiert
